---
- name: Check if clock file exists.
  ansible.builtin.stat: path=/etc/sysconfig/clock
  register: clock_file

- name: Create clock file if it doesnt exist.
  ansible.builtin.template:
    src: clock.j2
    dest: /etc/sysconfig/clock
    mode: "0644"
  when: clock_file.stat.exists
